io_uring_prep_read_fixed(3)

NAME
io_uring_prep_read_fixed - prepare I/O read request with registered buffer

SYNOPSIS
#include <liburing.h>

void io_uring_prep_read_fixed(struct io_uring_sqe *sqe,
                        int fd,
                        void *buf,
                        unsigned nbytes,
                        __u64 offset,
                        int buf_index);

DESCRIPTION

The io_uring_prep_read_fixed(3) prepares an IO read request with a previously registered IO buffer. The submission queue entry sqe is setup to use the file descriptor fd to start reading nbytes into the buffer buf at the specified offset, and with the buffer matching the registered index of buf_index.

This works just like io_uring_prep_read(3) except it requires the use of buffers that have been registered with io_uring_register_buffers(3). The buf and nbytes arguments must fall within a region specified by buf_index in the previously registered buffer. The buffer need not be aligned with the start of the registered buffer.

After the read has been prepared it can be submitted with one of the submit functions.

RETURN VALUE
None

ERRORS
The CQE res field will contain the result of the operation. See the related man page for details on possible values. Note that where synchronous system calls will return -1 on failure and set errno to the actual error value, io_uring never uses errno. Instead it returns the negated errno directly in the CQE res field.

SEE ALSO
io_uring_prep_read(3), io_uring_register_buffers(3)